using System;
using System.Windows.Forms;

namespace DevexpressPatchKeygen
{
    public class Interpreter
    {
        public string cvalue;
        public SchemaAdapter schemaAdapter;
        public string versione;
        public string edition;
        public bool nofil;

        // Constructor
        public Interpreter()
        {
        }

        // Method to instantiate authentication
        internal void InstantiateAuthentication()
        {
            this.cvalue = schemaAdapter.m_Interceptor.Items[schemaAdapter.m_Interceptor.SelectedIndex].ToString().Trim();
        }

        // Method to customize authentication
        internal void CustomizeAuthentication()
        {
            schemaAdapter.@params.Style = ProgressBarStyle.Blocks;
        }

        // Method to post authentication
        internal void PostAuthentication()
        {
            schemaAdapter.@params.Value = 100;
        }

        // Static method to define reader
        internal static bool DefineReader()
        {
            return true;
        }

        // Static method to get reader
        internal static bool GetReader()
        {
            return false;
        }
    }
}
